jobstories.json: Get job stories

API: firebaseio.com:hackernews
Endpoint: /jobstories.json
Response format: application/json
Auth: unknown
Method: GET
Last Status: 200
Latency: 430ms

Description

Returns an array of item IDs representing job stories currently posted on HN. Use these IDs with /item/{id}.json to fetch full job details.

From spec: Returns an array of up to 200 job story IDs.

Usage Tips

- Returns approximately 100-200 job story IDs - List is ordered roughly by posting time - Job stories are periodically purged; IDs may become stale

Examples (1)

Get current job story IDs probe-gate

Retrieves a list of item IDs for all current job postings on Hacker News.

curl 'https://hacker-news.firebaseio.com/v0/jobstories.json'
import requests

resp = requests.get("https://hacker-news.firebaseio.com/v0/jobstories.json")
data = resp.json()
import zingu_apis

api = zingu_apis.api("firebaseio")
result = api.fetch("jobstories.json")

for item in result:
    print(item)
const resp = await fetch("https://hacker-news.firebaseio.com/v0/jobstories.json");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 00:41:06.663721 200 430ms
2026-04-15 03:21:07.620905 200 374ms
2026-04-14 02:18:59.785556 200 465ms
2026-04-12 16:51:59.561908 200 407ms
2026-04-10 02:30:40.557171 200 640ms
2026-04-09 03:21:27.030719 200 545ms